Name:           gcalctool
Version:        5.9.14
Release:        1%{?dist}
Summary:        A desktop calculator

Group:          Applications/System
License:        GPL
URL:            http://directory.fsf.org/gcalctool.html
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gcalctool/5.9/gcalctool-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: atk-devel >= 1.5
BuildRequires: glib2-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: desktop-file-utils >= 0.9
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: gettext
BuildRequires: flex 
BuildRequires: bison
BuildRequires: perl(XML::Parser)

Requires(post): scrollkeeper
Requires(post): GConf2
Requires(postun): scrollkeeper
Requires(preun): GConf2
Requires(pre): GConf2

Requires: GConf2

Patch1: gcalctool-flex-crap.patch

%description
gcalctool is a powerful graphical calculator with financial, logical and 
scientific modes. It uses a multiple precision package to do its arithmetic 
to give a high degree of accuracy.

%prep
%setup -q
%patch1 -p1 -b .flex-crap


%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# delete this crap
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang gcalctool


%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q


%clean
rm -rf $RPM_BUILD_ROOT


%files -f gcalctool.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gcalctool.schemas
%{_bindir}/gcalctool
%{_bindir}/gnome-calculator
%{_datadir}/applications/gnome-gcalctool.desktop
%{_datadir}/gnome/help/gcalctool/
%{_datadir}/omf/gcalctool/
%{_mandir}/man1/gcalctool.1.gz


%changelog
* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 5.9.14-1
- Update to 5.9.14

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> - 5.9.13-1
- Update to 5.9.13

* Mon Feb 12 2007 Matthias Clasen <mclasen@redhat.com> - 5.9.12-1
- Update to 5.9.12

* Mon Jan 22 2007 Matthias Clasen <mclasen@redhat.com> - 5.9.11-1
- Update to 5.9.11

* Wed Jan 10 2007 Matthias Clasen <mclasen@redhat.com> - 5.9.10-1
- Update to 5.9.10

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 5.9.9-1
- Update to 5.9.9

* Tue Dec  5 2006 Matthias Clasen <mclasen@redhat.com> - 5.9.8-1
- Update to 5.9.8

* Fri Oct 20 2006 Matthias Clasen <mclasen@redhat.com> - 5.9.4-1
- Update to 5.9.4

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.24-3
- Fix scripts according to packaging guidelines

* Sun Oct  1 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.24-2
- Fix a segfault in the or_IN locale due to careless
  string handling.  (#208695)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.24-1.fc6
- Update to 5.8.24

* Sat Aug 18 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.23-1.fc6
- Update to 5.8.23

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.20-1.fc6
- Update to 5.8.20

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.19-1.fc6
- Update to 5.8.19

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 5.8.17-1
- Update to 5.8.17

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 5.8.16-2.1
- rebuild

* Mon Jun 12 2006 Matthias Clasen <mclasen@redhat.com> 5.8.16-2
- Update to 5.8.16

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> 5.8.13-3
- More BuildRequires

* Sun May 21 2006 Matthias Clasen <mclasen@redhat.com> 5.8.13-2
- Add missing BuildRequires  (#191910)

* Tue May 16 2006 Matthias Clasen <mclasen@redhat.com> 5.8.13-1
- Update to 5.8.13

* Tue May  9 2006 Matthias Clasen <mclasen@redhat.com> 5.8.10-1
- Update to 5.8.10

* Wed Apr 26 2006 Matthias Clasen <mclasen@redhat.com> 5.8.9-1
- Update to 5.8.9

* Thu Apr 20 2006 Jesse Keating <jkeating@redhat.com> - 5.7.32-5
- Add postun to clean up gconf schema.

* Wed Apr 19 2006 Jeremy Katz <katzj@redhat.com> - 5.7.32-4
- fix gconf scriptlet

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> 5.7.32-3
- fix issues pointed out in package review

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> 5.7.32-2
- initial revision
